Bug 856479 - Zend jenkins build is displayed as php type
Zend jenkins build is displayed as php type
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 02:19 EDT by joycezhang
Modified: 2015-05-14 18:59 EDT (History)
0 users

See Also:
Fixed In Version: >= ami-26fc794f
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 14:27:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-09-12 02:19:52 EDT
Description of problem:

Zend jenkins build type is displayed as php-5.3.
zend1bldr @ http://zend1bldr-joyceint1.int.rhcloud.com/
=======================================================
Created: 1:17 AM
Git URL: ssh://ff9a1626eb334aea98dd78e82a4a5513@zend1bldr-joyceint1.int.rhcloud.com/~/git/zend1bldr.git/

Cartridges:
 php-5.3


Version-Release number of selected component (if applicable):
int.opeenshift.redhat.com
rhc.0.98.14

How reproducible:
Always

Steps to Reproduce:
1.Create a zend app with jenkins client added.
2.Do some changes in this zend app and git push.
3.Run rhc domain show to check the jenkins slave status or check the builder type from https://jenk1-joyceint1.int.rhcloud.com/job/zend1-build/configure
  
Actual results:
The build type is php-5.3, and zend type is not available in the list.

Expected results:
The build type should be zend-5.6 .


Additional info:
The app info is displayed as zend-5.6 as below:

zend1 @ http://zend1-joyceint1.int.rhcloud.com/
===============================================
Created: Sep 11 11:03 PM
Git URL: ssh://60aa49e10ae8459b80283ee72b10d912@zend1-joyceint1.int.rhcloud.com/~/git/zend1.git/

Cartridges:
  zend-5.6
  rockmongo-1.1 - https://zend1-joyceint1.int.rhcloud.com/rockmongo/
  mongodb-2.0 - mongodb://127.10.8.1:27017/
  jenkins-client-1.4 - https://jenk1-joyceint1.int.rhcloud.com/job/zend1-build/
  postgresql-8.4 - postgresql://127.10.8.1:5432/
Comment 1 joycezhang 2012-11-09 03:00:56 EST
This bug has been verified and fixed on devenv_2445.


Here's the details for your reference:

Steps:
1.Create a zend app with jenkins client added.
2.Do some changes in this zend app and git push.
3.Run rhc domain show to check the jenkins slave status or check the builder type from jenkins web site.

Actual results:

Zend type is displayed correctly in both rhc client or jenkins web site.

The zend jenkins build type is displayed as zend-5.6 

zend1bldr @ http://zend1bldr-zend1.dev.rhcloud.com/
  ===================================================
    Application Info
    ================
      Created   = 2:00 AM
      UUID      = 2788bcd477bf462c877e46eccc7bb74f
      Gear Size = small
      Git URL   = ssh://2788bcd477bf462c877e46eccc7bb74f@zend1bldr-zend1.dev.rhcloud.com/~/git/zend1bldr.git/
      SSH URL   = ssh://2788bcd477bf462c877e46eccc7bb74f@zend1bldr-zend1.dev.rhcloud.com
    Cartridges
    ==========
      zend-5.6

Thanks.

Note You need to log in before you can comment on or make changes to this bug.